Verify Documents
curl --request POST \
--url https://api-umbrella.io/api/services/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"journeyId": "uniqueJourneyIdentifier"
}
'import requests
url = "https://api-umbrella.io/api/services/verify"
payload = { "journeyId": "uniqueJourneyIdentifier" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({journeyId: 'uniqueJourneyIdentifier'})
};
fetch('https://api-umbrella.io/api/services/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"journeyId": "<string>",
"status": "verificationComplete",
"identitySubject": {
"type": "person",
"fullName": "Max Mustermann",
"nameStructure": {
"firstName": "Max",
"lastName": "Mustermann",
"nativeFullName": "Max Mustermann"
},
"gender": "M",
"nationality": "DE",
"dob": "1990/01/01",
"addressSingleLine": "123 Main St, City, Country",
"email": "max.mustermann@example.com",
"mobileNumber": "+1234567890"
},
"authoritativeData": {
"identityDocument": {
"type": "passport",
"idNumber": "123456789",
"issuingCountry": "DE",
"expeditor": "BH Neunkirchen",
"expirationDate": "2030/01/01",
"verificationChannel": "optical"
}
},
"proofOfWork": {
"type": "image",
"titleOfProof": "IDFront",
"timestampOfProof": "2024/08/01T10:00:00Z"
},
"auditTrail": {
"workId": "abc123",
"workStatus": "PASS",
"workStartTst": "2024/08/01T10:00:00Z",
"workEndTst": "2024/08/01T10:01:00Z",
"workResult": "Verification successful"
},
"fraudAlerts": {
"fraudAlertDetail": [
{}
],
"aggregateFraudAlertScore": 0
},
"croppedImages": {
"front": "<string>",
"portrait": "<string>",
"signature": "<string>",
"back": "<string>",
"selfie": "<string>"
}
}{
"message": "Invalid request payload"
}{
"message": "Unauthorized request"
}{
"message": "Journey not found"
}Document Verification
Document Verification Verify Service (Upcoming)
Document Verification Verify Service API Documentation
POST
/
verify
Verify Documents
For a usage description of the Document Verification Verify Service, please refer to the Document Verification page.
Endpoint
POST/verifyAuthorizations
Bearer token obtained from POST /auth. Valid for 60 minutes.
Body
application/json
Unique identifier for the verification journey.
Example:
"uniqueJourneyIdentifier"
Response
Successfully verified documents.
Unique identifier for the verification journey.
Status of the verification process.
Example:
"verificationComplete"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I